#pragma once
#include <WinSock.h>
#include <iostream>
#pragma comment(lib, "ws2_32.lib")
#include <json/reader.h>

class HttpRequest
{
public:
    HttpRequest(const std::string& ip, int port);
    ~HttpRequest(void);
    std::string HttpPost(std::string req, std::string data);
private:
    std::string RequesStr(std::string req, std::string data);
private:
    SOCKET CreateSocket();
    void CloseSocket();
    int ConnectSocket(SOCKET socket, std::string ip);
    int SendData(SOCKET socket, std::string strSend);

private:
    std::string m_ip;
    int m_port;
};

//Âñµã
class BuriedPos
{
public:
    BuriedPos();
    BuriedPos(const std::string& ip, int port);
    ~BuriedPos(void);
    void SendBury(std::string key,std::string content);
private:
    HttpRequest* request;
    void CreateJson();
};

